#!/bin/sh

cd `dirname $0`
BUNDLE_HOME=`pwd`/../..

cd ${BUNDLE_HOME}/syncserver-*

SYNCSERVER_HOME=`pwd`

echo ${SYNCSERVER_HOME}

export JAVA_HOME=${BUNDLE_HOME}/tools/jre-1.4.2/jre
export J2EE_HOME=${BUNDLE_HOME}/tools/tomcat

cd ${BUNDLE_HOME}

if [ -z ${J2EE_HOME} ]
then
    echo "ERROR: ${BUNDLE_HOME} does not seem to  a valid Sync4j bundle"
    exit;
fi

if [ -z ${JAVA_HOME} ]
then
    echo "ERROR: ${BUNDLE_HOME} does not seem to  a valid Sync4j bundle"
    exit;
fi

if [ ! -f tools/bin/startall.sh ]
then
    echo "ERROR: ${BUNDLE_HOME} does not seem to  a valid Sync4j bundle"
    exit;
fi

#
# Shutdown Tomcat
#
cd ${J2EE_HOME}/bin
./shutdown.sh

#
# Shutdown Hypersonic
#
${JAVA_HOME}/bin/java org.hsqldb.util.ShutdownServer -port -user sa -url jdbc:hsqldb:hsql://localhost/sync4j -shutdownarg IMMEDIATELY
